Skip to main content
GET
/
v1
/
apis
/
mine
My APIs
curl --request GET \
  --url https://gateway.apiosk.com/v1/apis/mine \
  --header 'x-wallet-address: <api-key>' \
  --header 'x-wallet-nonce: <api-key>' \
  --header 'x-wallet-signature: <api-key>' \
  --header 'x-wallet-timestamp: <api-key>'
{
  "apis": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "slug": "<string>",
      "name": "<string>",
      "description": "<string>",
      "endpoint_url": "<string>",
      "price_usd": 123,
      "active": true,
      "verified": true,
      "created_at": "2023-11-07T05:31:56Z",
      "total_requests": 123,
      "total_earned_usd": 123,
      "pending_withdrawal_usd": 123
    }
  ],
  "total_earnings_usd": 123
}

Authorizations

x-wallet-address
string
header
required

Wallet address used for signed management calls.

x-wallet-signature
string
header
required

Signature over the canonical Apiosk auth message.

x-wallet-timestamp
string
header
required

Unix timestamp used in the signed auth message.

x-wallet-nonce
string
header
required

Replay-protected nonce used in the signed auth message.

Query Parameters

wallet
string
required

Owner wallet.

Response

Owned listings and earnings summary.

apis
object[]
total_earnings_usd
number